Package org.eclipse.ecf.core.util

# Class SystemLogService

java.lang.Object
org.eclipse.ecf.core.util.SystemLogService

All Implemented Interfaces:
  `org.osgi.service.log.LoggerFactory`, `org.osgi.service.log.LogService`

public class SystemLogService extends Object implements org.osgi.service.log.LogService

## Field Summary

### Fields inherited from interface org.osgi.service.log.LogService

`LOG_DEBUG, LOG_ERROR, LOG_INFO, LOG_WARNING`

## Constructor Summary

Constructors
Constructor
Description
`SystemLogService(String pluginName)`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.log.Logger`
`getLogger(Class<?> clazz)`
`<L extends org.osgi.service.log.Logger>
L`
`getLogger(Class<?> clazz, Class<L> loggerType)`
`org.osgi.service.log.Logger`
`getLogger(String name)`
`<L extends org.osgi.service.log.Logger>
L`
`getLogger(String name, Class<L> loggerType)`
`<L extends org.osgi.service.log.Logger>
L`
`getLogger(Bundle bundle, String name, Class<L> loggerType)`
`void`
`log(int level, String message)`
`void`
`log(int level, String message, Throwable exception)`
`void`
`log(ServiceReference sr, int level, String message)`
`void`
`log(ServiceReference sr, int level, String message, Throwable exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SystemLogService

public SystemLogService(String pluginName)

## Method Details

### log

public void log(int level, String message)

Specified by:
  `log` in interface `org.osgi.service.log.LogService`

### log

public void log(int level, String message, Throwable exception)

Specified by:
  `log` in interface `org.osgi.service.log.LogService`

### log

public void log(ServiceReference sr, int level, String message)

Specified by:
  `log` in interface `org.osgi.service.log.LogService`

### log

public void log(ServiceReference sr, int level, String message, Throwable exception)

Specified by:
  `log` in interface `org.osgi.service.log.LogService`

### getLogger

public org.osgi.service.log.Logger getLogger(String name)

Specified by:
  `getLogger` in interface `org.osgi.service.log.LoggerFactory`

### getLogger

public org.osgi.service.log.Logger getLogger(Class<?> clazz)

Specified by:
  `getLogger` in interface `org.osgi.service.log.LoggerFactory`

### getLogger

public <L extends org.osgi.service.log.Logger> L getLogger(String name, Class<L> loggerType)

Specified by:
  `getLogger` in interface `org.osgi.service.log.LoggerFactory`

### getLogger

public <L extends org.osgi.service.log.Logger> L getLogger(Class<?> clazz, Class<L> loggerType)

Specified by:
  `getLogger` in interface `org.osgi.service.log.LoggerFactory`

### getLogger

public <L extends org.osgi.service.log.Logger> L getLogger(Bundle bundle, String name, Class<L> loggerType)

Specified by:
  `getLogger` in interface `org.osgi.service.log.LoggerFactory`